Bug 1561917 - kdestroy -A does not work with multiple principals when using KCM
Summary: kdestroy -A does not work with multiple principals when using KCM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robbie Harwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1563166
TreeView+ depends on / blocked
 
Reported: 2018-03-29 07:55 UTC by Fabiano Fidêncio
Modified: 2018-04-05 23:56 UTC (History)
7 users (show)

Fixed In Version: krb5-1.16-18.fc28 krb5-1.15.2-8.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1563166 (view as bug list)
Environment:
Last Closed: 2018-04-01 19:07:18 UTC


Attachments (Terms of Use)
f26 patch (3.70 KB, patch)
2018-03-29 07:56 UTC, Fabiano Fidêncio
no flags Details | Diff
f27 patch (3.70 KB, application/mbox)
2018-03-29 07:56 UTC, Fabiano Fidêncio
no flags Details
f28 patch (3.27 KB, application/mbox)
2018-03-29 07:56 UTC, Fabiano Fidêncio
no flags Details
rawhide patch (3.27 KB, application/mbox)
2018-03-29 07:57 UTC, Fabiano Fidêncio
no flags Details

Description Fabiano Fidêncio 2018-03-29 07:55:17 UTC
Version-Release number of selected component (if applicable): The issue can be seen in all Fedora supported releases

How reproducible: 100%

Steps to Reproduce:
1. `kinit` multiple principals (more than 2 makes it easier to reproduce)
2. `kdestroy -A`
3. `klist -A`

Actual results: At least one principal is not destroyed

Expected results: All the principals should be destroyed

Additional info: The patch has been merged upstream[0] and I'm providing patches for f26+.

[0]: https://github.com/krb5/krb5/commit/49087f5e6309f298f8898c35af6f4ade418ced60

Comment 1 Fabiano Fidêncio 2018-03-29 07:56:01 UTC
Created attachment 1414598 [details]
f26 patch

Comment 2 Fabiano Fidêncio 2018-03-29 07:56:25 UTC
Created attachment 1414599 [details]
f27 patch

Comment 3 Fabiano Fidêncio 2018-03-29 07:56:53 UTC
Created attachment 1414600 [details]
f28 patch

Comment 4 Fabiano Fidêncio 2018-03-29 07:57:35 UTC
Created attachment 1414602 [details]
rawhide patch

Comment 5 Fedora Update System 2018-03-29 15:21:34 UTC
krb5-1.16-18.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a0cb211d9c

Comment 6 Fedora Update System 2018-03-29 15:21:57 UTC
krb5-1.15.2-8.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-04d2f01b78

Comment 7 Fedora Update System 2018-03-30 14:47:24 UTC
krb5-1.15.2-8.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-04d2f01b78

Comment 8 Fedora Update System 2018-03-30 15:17:22 UTC
krb5-1.16-18.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a0cb211d9c

Comment 9 Fedora Update System 2018-04-01 19:07:18 UTC
krb5-1.16-18.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-04-05 23:56:55 UTC
krb5-1.15.2-8.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.